# This Spec file was Created by Marco Meijer <marco@mandrivaclub.nl>
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.mandrivaclub.nl

%define name    ktoon
%define version 0.7.3
%define release 1.2006mcnl
%define summary 2D Animation Toolkit
%define section Multimedia/Graphics

Name:           %{name} 
Summary:        %{summary}
Version:        %{version} 
Release:        %{release} 
Vendor:         Mandrivaclub.nl
URL:            http://ktoon.toonka.com
License:        GPL
Group:          Graphics
Packager:       Marco Meijer <marco@mandrivaclub.nl>

Source0:        %{name}src-%{version}.tar.gz
Patch0:		%{name}-about-073.patch
Patch1:		%{name}-local-073.patch

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot 

#BuildRequires: 

%description
KToon is a 2D Animation Toolkit designed by animators (Toonka Films ) for animators, focused to the Cartoon's industry. This project is covered by the GPL License using G++, OpenGL and QT as programming resources from KDevelop as the development platform.

%prep
rm -rf %{buildroot}
%setup -q -n ktoon
%patch0 -p1
%patch1 -p1


%build

qmake ktoon.pro
%make

%install
rm -rf %{buildroot}

mkdir -p %buildroot/%_datadir/apps/%name
%__cp bin/%{name} %buildroot/%_datadir/apps/%name/
%__cp settings %buildroot/%_datadir/apps/%name/
mkdir -p %buildroot/%_datadir/apps/%name/src/images
%__cp -r src/images/ani %buildroot/%_datadir/apps/%name/src/images
%__cp -r src/images/ima %buildroot/%_datadir/apps/%name/src/images
%__cp -r src/images/cur %buildroot/%_datadir/apps/%name/src/images
%__cp -r src/images/ico %buildroot/%_datadir/apps/%name/src/images
%__cp -r src/trans %buildroot/%_datadir/apps/%name/src/
%__cp -r lib %buildroot/%_datadir/apps/%name/


# Menu
# Every entry must be changed according package specfications
# Pay attention to "section" "command" and "longtitle"
# Use the macros at the head of this file to change the values.
mkdir -p %buildroot/%_menudir
cat > %buildroot/%_menudir/%name << EOF
?package(%name): \
command="%_bindir/%name" \
needs="X11" \
icon="%name.png" \
section="%section" \
title="%name" \
longtitle="%summary"
EOF

#icons
%define  nameicon src/images/ico/ani_mode.xpm
mkdir -p -m755 %{buildroot}{%_liconsdir,%_iconsdir,%_miconsdir}
convert -scale 48x48 %{nameicon} %{buildroot}/%{_liconsdir}/%{name}.png
convert -scale 32x32 %{nameicon} %{buildroot}/%{_iconsdir}/%{name}.png
convert -scale 16x16 %{nameicon} %{buildroot}/%{_miconsdir}/%{name}.png

install -d $RPM_BUILD_ROOT%{_bindir}
cat <<EOF >$RPM_BUILD_ROOT%{_bindir}/%{name}
#!/bin/sh
clear
ktoonpath="\$HOME/.kde/share/apps/ktoon"
 if [ -d \$ktoonpath ] ; then
 	cd \$HOME/.kde/share/apps/ktoon/
	exec /usr/share/apps/ktoon/ktoon
exit 1
 else
	echo ""
	echo "--- making userdir ---"
	mkdir -p -m755 \$ktoonpath/projects/bru \$ktoonpath/projects/components \$ktoonpath/projects/cpl \$ktoonpath/projects/lbr \$ktoonpath/projects/output >&2 
	cp /usr/share/apps/ktoon/settings \$ktoonpath/
	echo ""
	echo "--- starting" ktoon "---"
	echo ""
	echo ""
	cd \$HOME/.kde/share/apps/ktoon/
	exec /usr/share/apps/ktoon/ktoon
exit 1
fi
exit 0
EOF

%post
%update_menus

%postun
%clean_menus

%clean 
rm -rf $RPM_BUILD_ROOT 

%files 
%defattr(-,root,root,0755) 
%doc README.txt COPYING svnlog.txt
%attr(755,root,root)%{_bindir}/%{name}
%_menudir/*
%{_datadir}/*

%changelog 

*Sun Oct 16 2005 Marco Meijer <marco@mandrivaclub.nl> 0.7.3-1.2006mcnl
Mandriva 2006 rebuild

*Wed Mar 17 2005 Marco Meijer <marco@mandrivaclub.nl> 0.7.3-1.101mcnl
new version

*Wed Feb 23 2005 Marco Meijer <marco@mandrivaclub.nl> 0.7.2-1.101mcnl
new version

*Fri Feb 18 2005 Marco Meijer <marco@mandrivaclub.nl> 0.7.0.1-1.101mcnl
First Mandrakeclub.nl version


